\name{checkFamilyType}
\alias{checkFamilyType}
\title{Checks a consistent annotation from a list of identifiers}
\description{
\code{checkFamilyType} checks if a list of identifiers is consistently
annotated according to the specified gene family type. If not, an error
message and the inconsistent rows are returned.
}
\usage{
checkFamilyType(gene.families, type)
}
\arguments{
\item{gene.families}{list of accession number}
\item{type}{type of gene family to check. Use
\code{\link{getSupportedFamilies}} to get a list of supported families}}
\value{
\code{checkFamilyType} returns TRUE if successful.}
\examples{
accnos<-c(paste("COG", seq(1000,1005, by=1), sep=""), "EC1.1.1.1")
checkFamilyType(accnos[1:6], "COG")
\dontrun{checkFamilyType(accnos, "COG")}
}

\seealso{
\code{\link{glm}}
}
\keyword{internal}
