\name{clusterSamples}
\alias{clusterSamples}
\title{Performs hierarchical clustering on a set of samples}
\description{
\code{clusterSamples} performs a hierarchical clustering on a subset of
samples.}
\usage{
clusterSamples(data, samples=c(1,2,3), log.data=FALSE, method="complete", ...)
}
\arguments{
\item{data}{a ShotgunFunctionalizeR data object (e.g. produced by
\code{\link{readGeneFamilies}})}
\item{samples}{a vector of at least two samples that should be included in
the clustering}
\item{method}{the agglomeration method used in the clustering. See
\code{\link{hclust}} for more information}
\item{log.data}{should the data be log-transformed prior clustering}
\item{...}{additional arguments to pass to \code{\link{plot}}}
}
\value{
\code{clusterSamples} produces a plot and returns nothing.}
\seealso{
\code{\link{readGeneFamilies}}, \code{\link{hclust}}
}
\examples{
data(OceanCOG)
clusterSamples(OceanCOG, sample=1:7)
}
\keyword{hplot}
