\name{diversityPlot.family}
\alias{diversityPlot.family}
\title{Calculates and plots rarefaction curves}
\description{
\code{diversityPlot.family} estimates and visualizes rarefaction curves based
on the observed gene families. Curves for multiple samples may be estimated
and plotted simultaneously.}
\usage{
diversityPlot.family(data, samples=1, iterations=100, max.sample.size, 
                     step.size, col, show.legend=TRUE, legend.names, 
                     smooth.curves=TRUE, print.diagonal=FALSE, 
                     col.diagonal="grey", lwd.diagonal=2, ylim, xlab, 
                     ylab, lwd.lines=2, cex.lab=1, cex.axis=1, 
                     lwd.axis=1, cex.legend=1.5, ...)
}
\arguments{
\item{data}{a ShotgunFunctionalizeR data object}
\item{samples}{a vector with samples (column numbers)}
\item{iterations}{the number of iterations used to calculate the rarefaction
curve}
\item{max.sample.size}{maximum sub sample size. If omitted, a suitable value
is chosen based on the data}
\item{step.size}{the step size for the different sub samples. Defaults to
max.sample.size/10}
\item{col}{a vector of colors for the rarefaction curves. If omitted, each curve will be drawn in a unique color}
\item{show.legend}{toggles a legend describing the names of the curves}
\item{legend.names}{names shown in the legend. If omitted, the column names of the data will be used}
\item{smooth.curves}{whether splines should be used to smooth the rarefaction curves}
\item{print.diagonal}{whether a diagonal line should be drawn}
\item{col.diagonal}{color of the diagonal line}
\item{lwd.diagonal}{width of the diagonal line}
\item{ylim}{y limit of the plot. If omitted, a suitable value will be calculated}
\item{xlab}{the label of the x axis}
\item{ylab}{the label of the y axis}
\item{lwd.lines}{the width of the rarefaction curves}
\item{cex.lab}{the magnification to be used for axis labels}
\item{cex.axis}{the magnification to be used for axis annotation}
\item{lwd.axis}{the width of the axes}
\item{cex.legend}{the magnification to be used for the legend}
\item{...}{additional arguments to the plot function}}
\value{
\code{diversityPlot.family} produces a plot and returns nothing.}
\seealso{
\link{calculateRarefaction}, \code{\link{estimateDiversity}}
}
\keyword{hplot}

