\name{freqPlot.family}
\alias{freqPlot.family}
\title{Plots the relative abundance of a gene family}
\description{
\code{freqPlot.family} plots the relative frequency in each sample for user specified gene
family.}
\usage{
freqPlot.family(data, family, col="mistyrose",
                groups=NULL, groups.space=NULL, groups.color=NULL,
                ylim, main, xlab="")
}
\arguments{
\item{data}{a ShotgunFunctionalizeR data object (e.g. the result from
\code{\link{readGeneFamilies}})}
\item{family}{character string indicating which gene family to plot}
\item{col}{color of the bars in the histogram}
\item{groups}{a vector indicating the groups of the samples}
\item{groups.space}{the amount of space between the groups}
\item{groups.color}{the colors for the different groups}
\item{ylim}{the coordinate range on the y-axis}
\item{main}{the title of the plot}
\item{xlab}{label of the x-axis}
}
\examples{
\dontrun{
data(OceanCOG)
po.stat<-testGeneFamilies.regression(OceanCOG, 
         covariates=c(10, 70, 130, 200, 500, 770, 4000), 
         log.covariates=T)
freqPlot.family(po.stat, family="COG0415")
}}
\seealso{
\code{\link{trendPlot}}, \code{\link{trendPlot.family}},
\code{\link{trendPlot.category}}, \code{\link{groupPlot}},
\code{\link{groupPlot.family}}, \code{\link{groupPlot.category}}
}
\keyword{hplot}
