\name{groupPlot}
\alias{groupPlot}
\title{Plots the result from a direct comparison using the Poisson model}
\description{
\code{groupPlot} plots the result from a direct comparison of two groups.
This function requires that the Poisson model has been fitted to the data.
}
\usage{
groupPlot(stat, ...)
}
\details{Depending on type of the supplied object, \code{groupPlot} uses either
\code{\link{groupPlot.family}} or \code{\link{groupPlot.category}}.}
\arguments{
\item{stat}{results from a direct comparison using Poisson model}
\item{...}{additional arguments to either \code{\link{trendPlot.family}} or
\code{\link{trendPlot.category}}.}
}
\examples{
\dontrun{
data(MouseCOG)
po.stat<-testGeneFamilies.dircomp(MouseCOG, groups=c("Lean", "Lean", 
                                  "Lean", "Obese", "Obese"))
groupPlot(po.stat, family="COG1662")
}}
\seealso{
\code{\link{groupPlot.family}}, \code{\link{groupPlot.category}},
\code{\link{trendPlot}}, \code{\link{trendPlot.family}},
\code{\link{trendPlot.category}}
}
\keyword{hplot}
