\name{ppPlot}
\alias{ppPlot}
\title{Observed and theoretical p-value quantiles}
\description{
This function plots the observed and theoretical p-value quantiles.
}
\usage{
ppPlot(stat, log.pvalues=TRUE, xlim=NULL, ylim=NULL, col="red3", ...)
}
\arguments{
\item{stat}{results from any gene- or pathway-centric analysis performed in
ShotgunFunctionalizeR}
\item{log.pvalues}{should the p-value be plotted on a logarithmic scale?}
\item{xlim}{x limit of the plot. A suitable value is calculated if omitted}
\item{ylim}{y limit of the plot. A suitable value is calculated if omitted}
\item{col}{color of the points}
\item{...}{additional arguments for \code{\link{qqplot}}}
}
\examples{
\dontrun{
data(OceanCOG)
po.stat<-testGeneFamilies.regression(OceanCOG, 
         covariates=c(10, 70, 130, 200, 500, 770, 4000), log.covariates=T)
ppPlot(po.stat)
}}
\seealso{
\code{\link{qqplot}}, 
\code{\link{trendPlot}}, \code{\link{trendPlot.family}}, \code{\link{trendPlot.category}},
\code{\link{groupPlot}}, \code{\link{groupPlot.family}}, \code{\link{groupPlot.category}}
}
\keyword{hplot}
