\name{summarizeData}
\alias{summarizeData}
\title{Statistical summary for a set of metagenomes}
\description{
\code{summarizeData} prints a summary statistics for all metagenomes in a
data object.
}
\usage{
summarizeData(data, probs=c(0, 0.25, 0.50, 0.75, 0.90, 1),
              print.diversity=TRUE)
}
\arguments{
\item{data}{a ShotgunFunctionalizeR data object.}
\item{probs}{a vector with quantile probabilities}
\item{print.diversity}{whether to calculate and print Chao's, Simpson's and Shannon's
diversity indices}
}
\examples{
data(OceanCOG)
summarizeData(OceanCOG)
}
\seealso{
\code{\link{readGeneFamilies}}
}
\keyword{univar}
