\name{testGeneCategories.dircomp}
\alias{testGeneCategories.dircomp}
\title{Performs a pathway-centric analysis using Poisson direct comparison}
\description{
\code{testGeneCategories.dircomp} performs a pathway-centric analysis of a
specified data set using Poisson direct comparison. This function provides
an easy-to-use interface for direct comparison using the Poisson model. 
}
\usage{
testGeneCategories.dircomp(...)
}
\details{
\code{testGeneCategories.dircomp} uses \code{\link{testGeneCategories}} to
perform a direct comparison with the Poisson model. The only arguments
necessary are \code{groups} specifying a vector of group labels.
}
\arguments{
\item{...}{Additional arguments for \code{\link{testGeneCategories}}}
}
\references{
Kristiansson, E., Hugenholtz, P., Dalevi, D. (2009). ShotgunFunctionalizeR:
an R-package for functional analysis of metagenomes. \emph{Bioinformatics}
25(20).
}
\seealso{
\code{\link{testGeneCategories}}
}
\examples{
\dontrun{
res.dircomp<-testGeneCategories.dircomp(MouseCOG, category="COGPATHWAYS",
             groups=c("Lean", "Lean", "Lean", "Obese",  "Obese"))
}
}
\keyword{htest}
