\name{testGeneCategories.enrichment}
\alias{testGeneCategories.enrichment}
\title{Performs a pathway-centric test using a test of overrepresentation}
\description{
\code{testGeneCategories.enrichment} performs a pathway-centric analysis of a
specified data set using a test of overrepresentation. 
}
\usage{
testGeneCategories.enrichment(data, categories, samples, method, alpha)
}
\arguments{
\item{data}{A ShotgunFunctionalizeR data object}
\item{categories}{A list of categories (e.g. from \code{\link{getCategory}})}
\item{samples}{Samples to use in the analysis}
\item{method}{What procedure should be used to the ranking of gene-families.
See \code{\link{testGeneFamilies}} for possible choices}
\item{alpha}{P-value cut-off used in the enrichment analysis}
}
\details{
\code{testGeneCategories.enrichment} first performs a
gene-centric analysis which is followed by a test of statistical
overrepresentation of gene-family categories among the significant gene 
families. Further information can be found in Kristiansson et al 2009.
}
\references{
Kristiansson, E., Hugenholtz, P., Dalevi, D. (2009). ShotgunFunctionalizeR:
an R-package for functional analysis of metagenomes. \emph{Bioinformatics}
25(20).
}
\seealso{
\code{\link{testGeneCategories}}
}
\keyword{htest}
