\name{testGeneCategories.gaussiansum}
\alias{testGeneCategories.gaussiansum}
\title{Performs a pathway-centric analysis using Gaussian Sum statistics}
\description{
\code{testGeneCategories.gaussian} performs a pathway-centric analysis of a
specified data set using Gaussian Sum statistics.
}
\usage{
testGeneCategories.gaussiansum(data, categories, samples)
}
\arguments{
\item{data}{A ShotgunFunctionalizeR data object}
\item{categories}{A list of categories (e.g. from \code{\link{getCategory}})}
\item{samples}{a vector of samples (column numbers) to use in the analysis}
}
\details{
Information about the Gaussian Sum statistic can be found in Kristiansson et
al 2009.
}
\seealso{
\code{\link{testGeneCategories}}
}
\references{
Kristiansson, E., Hugenholtz, P., Dalevi, D. (2009). ShotgunFunctionalizeR:
an R-package for functional analysis of metagenomes. \emph{Bioinformatics}
25(20).}
\keyword{htest}
