\name{testGeneCategories.independence}
\alias{testGeneCategories.independence}
\title{Performs a pathway-centric test using a test of independence}
\description{
\code{testGeneCategories.independence} performs a pathway-centric analysis of a
specified data set using a test of independence.}
\usage{
testGeneCategories.independence(data, categories, samples, 
                                simulate.p.value=TRUE, B=2000)
}
\arguments{
\item{data}{A ShotgunFunctionalizeR data object}
\item{categories}{A list of categories (e.g. from \code{\link{getCategory}})}
\item{samples}{Samples to use in the analysis}
\item{simulate.p.value}{Should the p-value be simulated (see
\code{\link{fisher.test}})}
\item{B}{B to fisher.test (see \code{\link{fisher.test}})}
}
\details{
Information about the Gaussian Sum statistic can be found in Kristiansson et
al 2009.
}
\references{
Kristiansson, E., Hugenholtz, P., Dalevi, D. (2009). ShotgunFunctionalizeR:
an R-package for functional analysis of metagenomes. \emph{Bioinformatics}
25(20).}
\seealso{
\code{\link{testGeneCategories}}
}
\keyword{htest}
