\name{testGeneCategories.regression}
\alias{testGeneCategories.regression}
\title{Performs a pathway-centric analysis using Poisson regression analysis}
\description{
\code{testGeneCategories.regression} performs a pathway-centric analysis of a
specified data set using Poisson regression. This function provides an
easy-to-use interface for regression analysis using the Poisson model.
}
\usage{
testGeneCategories.regression(...)
}
\details{
\code{testGeneCategories.regression} uses \code{\link{testGeneCategories}} to
perform a regression analysis with the Poisson model. The only arguments
necessary are \code{covariates} and if these should be log-transformed,
\code{log.covariates}.
}
\arguments{
\item{...}{Additional arguments for \code{\link{testGeneCategories}}}
}
\references{
Kristiansson, E., Hugenholtz, P., Dalevi, D. (2009). ShotgunFunctionalizeR:
an R-package for functional analysis of metagenomes. \emph{Bioinformatics}
25(20).
}
\seealso{
\code{\link{testGeneCategories}}
}
\examples{
\dontrun{
data(OceanEC)
res.reg<-testGeneCategories.regression(OceanEC, category="KEGG", 
         covariates=c(10,70,130,200,500,770,4000), log.covariates=T)
}
}
\keyword{htest}
