\name{testGeneFamilies.dircomp}
\alias{testGeneFamilies.dircomp}
\title{Performs a gene-centric analysis using Poisson direct comparison}
\description{
\code{testGeneFamilies.dircomp} performs a pathway-centric analysis of a
specified data set using Poisson direct comparison. This function provides
an easy-to-use interface for direct comparison using the Poisson model. 
}
\usage{
testGeneFamilies.dircomp(...)
}
\details{
\code{testGeneFamilies.dircomp} uses \code{\link{testGeneFamilies}} to
perform a direct comparison with the Poisson model. The only arguments
necessary are \code{groups}.
}
\arguments{
\item{...}{Additional arguments for \code{\link{testGeneFamilies}}}
}
\references{
Kristiansson, E., Hugenholtz, P., Dalevi, D. (2009). ShotgunFunctionalizeR:
an R-package for functional analysis of metagenomes. \emph{Bioinformatics}
25(20).
}
\seealso{
\code{\link{testGeneFamilies}}
}
\examples{
\dontrun{
data(MouseEC)
res.dircomp<-testGeneFamilies.dircomp(MouseEC, 
             groups=c("Lean", "Lean", "Lean", "Obese", "Obese"))
}
}
\keyword{htest}
