\name{testGeneFamilies.regression}
\alias{testGeneFamilies.regression}
\title{Performs a gene-centric analysis using Poisson regression analysis}
\description{
\code{testGeneFamilies.regression} performs a gene-centric analysis of a
specified data set using Poisson regression. This function provides an
easy-to-use interface for regression analysis using the Poisson model.
}
\usage{
testGeneFamilies.regression(...)
}
\details{
\code{testGeneFamilies.regression} uses \code{\link{testGeneFamilies}} to
perform a regression analysis with the Poisson model. The only arguments
necessary are \code{covariates} and if these should be log-transformed,
\code{log.covariates}.
}
\arguments{
\item{...}{Additional arguments for \code{\link{testGeneFamilies}}}
}
\references{
Kristiansson, E., Hugenholtz, P., Dalevi, D. (2009). ShotgunFunctionalizeR:
an R-package for functional analysis of metagenomes. \emph{Bioinformatics}
25(20).
}
\examples{
\dontrun{
data(OceanPFAM)
res.reg<-testGeneFamilies.regression(OceanPFAM, 
         covariates=c(10,70,130,200,500,770,4000), log.covariate=T)
}
}
\seealso{
\code{\link{testGeneFamilies}}
}
\keyword{htest}
