\name{writeRankings}
\alias{writeRankings}
\title{Writes rankings to a file}
\description{
Write rankings \code{\link{testGeneFamilies}} and
\code{\link{testGeneCategories}} to a text file.
}
\usage{
writeRankings(Result, File, col.names=TRUE, sep="\t")
}
\arguments{
\item{Result}{Results from either \code{\link{testGeneFamilies}} or
\code{\link{testGeneCategories}}}
\item{File}{Name of the output file}
\item{col.names}{Whether a header should be included}
\item{sep}{the field separator}
}
\details{
\code{writeRankings} write the ranking list from either \code{\link{testGeneFamilies}} or
\code{\link{testGeneCategories}} to a specified file.
}
\examples{
\dontrun{
data(MouseCOG)
groups<-c("Lean", "Lean", "Lean", "Obese", "Obese")
res.mouse<-testGeneFamilies(MouseCOG, method="poissongroups", groups=groups)  
writeRankings(res.mouse, File="Results.txt")
}
}
\keyword{file}
